
/* ---------------------------------------------------------------------- */
/* SERVER                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'SERVER')
BEGIN
     DECLARE @reftable_1 nvarchar(60), @constraintname_1 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'SERVER'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_1, @constraintname_1
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_1+' drop constraint '+@constraintname_1)
       FETCH NEXT from refcursor into @reftable_1, @constraintname_1
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE SERVER
END
;

CREATE TABLE SERVER
(
                    SERVER_ID INT NOT NULL,
                    SCOPE VARCHAR (254) NOT NULL,
                    ALIAS VARCHAR (254) NOT NULL,
                    DESCRIPTION VARCHAR (254) NOT NULL,
                    TITLE VARCHAR (254) NOT NULL,
                    PLUGIN_CLASS_NAME VARCHAR (254) NOT NULL,

    CONSTRAINT SERVER_PK PRIMARY KEY(SERVER_ID),
    UNIQUE (SCOPE),
    UNIQUE (ALIAS));





/* ---------------------------------------------------------------------- */
/* WEBDAV_SERVER                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='WEBDAV_SERVER_FK_1')
    ALTER TABLE WEBDAV_SERVER DROP CONSTRAINT WEBDAV_SERVER_FK_1;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'WEBDAV_SERVER')
BEGIN
     DECLARE @reftable_2 nvarchar(60), @constraintname_2 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'WEBDAV_SERVER'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_2, @constraintname_2
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_2+' drop constraint '+@constraintname_2)
       FETCH NEXT from refcursor into @reftable_2, @constraintname_2
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE WEBDAV_SERVER
END
;

CREATE TABLE WEBDAV_SERVER
(
                    SERVER_ID INT NOT NULL,
                    URL VARCHAR (254) NOT NULL,
                    IS_SECURE_SERVER VARCHAR (1) NOT NULL,
                    USE_CURRENT_LOGIN VARCHAR (1) NOT NULL,
                    LOGIN VARCHAR (50) NULL,
                    PASSWORD VARCHAR (50) NULL,

    CONSTRAINT WEBDAV_SERVER_PK PRIMARY KEY(SERVER_ID),
    UNIQUE (URL));





/* ---------------------------------------------------------------------- */
/* GRAFFITO_DB_SERVER                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='GRAFFITO_DB_SERVER_FK_1')
    ALTER TABLE GRAFFITO_DB_SERVER DROP CONSTRAINT GRAFFITO_DB_SERVER_FK_1;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'GRAFFITO_DB_SERVER')
BEGIN
     DECLARE @reftable_3 nvarchar(60), @constraintname_3 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'GRAFFITO_DB_SERVER'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_3, @constraintname_3
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_3+' drop constraint '+@constraintname_3)
       FETCH NEXT from refcursor into @reftable_3, @constraintname_3
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE GRAFFITO_DB_SERVER
END
;

CREATE TABLE GRAFFITO_DB_SERVER
(
                    SERVER_ID INT NOT NULL,
                    PLATEFORM VARCHAR (254) NOT NULL,
                    DB_ALIAS VARCHAR (254) NOT NULL,
                    JDBC_LEVEL VARCHAR (10) NOT NULL,
                    DRIVER VARCHAR (255) NOT NULL,
                    PROTOCOL VARCHAR (25) NOT NULL,
                    SUBPROTOCOL VARCHAR (25) NOT NULL,
                    LOGIN VARCHAR (50) NULL,
                    PASSWORD VARCHAR (50) NULL,
                    DATASOURCE VARCHAR (100) NULL,

    CONSTRAINT GRAFFITO_DB_SERVER_PK PRIMARY KEY(SERVER_ID),
    UNIQUE (DB_ALIAS));





/* ---------------------------------------------------------------------- */
/* GRAFFITO_FS_SERVER                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='GRAFFITO_FS_SERVER_FK_1')
    ALTER TABLE GRAFFITO_FS_SERVER DROP CONSTRAINT GRAFFITO_FS_SERVER_FK_1;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'GRAFFITO_FS_SERVER')
BEGIN
     DECLARE @reftable_4 nvarchar(60), @constraintname_4 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'GRAFFITO_FS_SERVER'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_4, @constraintname_4
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_4+' drop constraint '+@constraintname_4)
       FETCH NEXT from refcursor into @reftable_4, @constraintname_4
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE GRAFFITO_FS_SERVER
END
;

CREATE TABLE GRAFFITO_FS_SERVER
(
                    SERVER_ID INT NOT NULL,
                    ROOT VARCHAR (254) NOT NULL,

    CONSTRAINT GRAFFITO_FS_SERVER_PK PRIMARY KEY(SERVER_ID),
    UNIQUE (ROOT));





/* ---------------------------------------------------------------------- */
/* CONTENT                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'CONTENT')
BEGIN
     DECLARE @reftable_5 nvarchar(60), @constraintname_5 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'CONTENT'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_5, @constraintname_5
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_5+' drop constraint '+@constraintname_5)
       FETCH NEXT from refcursor into @reftable_5, @constraintname_5
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE CONTENT
END
;

CREATE TABLE CONTENT
(
                    CONTENT_ID INT NOT NULL,
                    CONTENT NULL,
                    ENCODING VARCHAR (30) NULL,

    CONSTRAINT CONTENT_PK PRIMARY KEY(CONTENT_ID));





/* ---------------------------------------------------------------------- */
/* CMS_OBJECT                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='CMS_OBJECT_FK_1')
    ALTER TABLE CMS_OBJECT DROP CONSTRAINT CMS_OBJECT_FK_1;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='CMS_OBJECT_FK_2')
    ALTER TABLE CMS_OBJECT DROP CONSTRAINT CMS_OBJECT_FK_2;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'CMS_OBJECT')
BEGIN
     DECLARE @reftable_6 nvarchar(60), @constraintname_6 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'CMS_OBJECT'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_6, @constraintname_6
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_6+' drop constraint '+@constraintname_6)
       FETCH NEXT from refcursor into @reftable_6, @constraintname_6
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE CMS_OBJECT
END
;

CREATE TABLE CMS_OBJECT
(
                    OBJECT_ID INT NOT NULL,
                    PARENT_ID INT NULL,
                    NAME VARCHAR (254) NOT NULL,
                    URI VARCHAR (254) NOT NULL,
                    CREATION_DATE DATETIME NOT NULL,
                    DELTA DATETIME NOT NULL,
                    DESCRIPTION VARCHAR (255) NULL,
                    TITLE VARCHAR (255) NULL,
                    LINK_TARGET_ID INT NULL,
                    VERSION_NUM VARCHAR (10) NULL,
                    IS_LAST_VERSION INT NULL,
                    CONTENT_ID INT NULL,
                    CONTENT_SIZE INT NULL,
                    LANGUAGE VARCHAR (254) NOT NULL,
                    OWNER VARCHAR (254) NOT NULL,
                    CONTENT_TYPE VARCHAR (254) NULL,
                    CLASS_NAME VARCHAR (254) NOT NULL,

    CONSTRAINT CMS_OBJECT_PK PRIMARY KEY(OBJECT_ID),
    UNIQUE (URI, VERSION_NUM));

CREATE  INDEX CMS_OBJECT_IDX1 ON CMS_OBJECT (PARENT_ID);
CREATE  INDEX CMS_OBJECT_IDX2 ON CMS_OBJECT (CONTENT_ID);




/* ---------------------------------------------------------------------- */
/* VERSION_HISTORY                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='VERSION_HISTORY_FK_1')
    ALTER TABLE VERSION_HISTORY DROP CONSTRAINT VERSION_HISTORY_FK_1;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type ='RI' AND name='VERSION_HISTORY_FK_2')
    ALTER TABLE VERSION_HISTORY DROP CONSTRAINT VERSION_HISTORY_FK_2;
IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'VERSION_HISTORY')
BEGIN
     DECLARE @reftable_7 nvarchar(60), @constraintname_7 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'VERSION_HISTORY'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_7, @constraintname_7
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_7+' drop constraint '+@constraintname_7)
       FETCH NEXT from refcursor into @reftable_7, @constraintname_7
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE VERSION_HISTORY
END
;

CREATE TABLE VERSION_HISTORY
(
                    HISTORY_ID INT NOT NULL,
                    OBJECT_ID INT NOT NULL,
                    PREVIOUS_ID INT NULL,

    CONSTRAINT VERSION_HISTORY_PK PRIMARY KEY(HISTORY_ID));

CREATE  INDEX VERSION_HISTORY_IDX1 ON VERSION_HISTORY (OBJECT_ID);
CREATE  INDEX VERSION_HISTORY_IDX2 ON VERSION_HISTORY (PREVIOUS_ID);




/* ---------------------------------------------------------------------- */
/* SYS_CMS_CLASSES                                                      */
/* ---------------------------------------------------------------------- */

IF EXISTS (SELECT 1 FROM sysobjects WHERE type = 'U' AND name = 'SYS_CMS_CLASSES')
BEGIN
     DECLARE @reftable_8 nvarchar(60), @constraintname_8 nvarchar(60)
     DECLARE refcursor CURSOR FOR
     select reftables.name tablename, cons.name constraintname
      from sysobjects tables,
           sysobjects reftables,
           sysobjects cons,
           sysreferences ref
       where tables.id = ref.rkeyid
         and cons.id = ref.constid
         and reftables.id = ref.fkeyid
         and tables.name = 'SYS_CMS_CLASSES'
     OPEN refcursor
     FETCH NEXT from refcursor into @reftable_8, @constraintname_8
     while @@FETCH_STATUS = 0
     BEGIN
       exec ('alter table '+@reftable_8+' drop constraint '+@constraintname_8)
       FETCH NEXT from refcursor into @reftable_8, @constraintname_8
     END
     CLOSE refcursor
     DEALLOCATE refcursor
     DROP TABLE SYS_CMS_CLASSES
END
;

CREATE TABLE SYS_CMS_CLASSES
(
                    CMS_CLASS_ID VARCHAR (100) NOT NULL,
                    CMS_CLASS VARCHAR (254) NOT NULL,

    CONSTRAINT SYS_CMS_CLASSES_PK PRIMARY KEY(CMS_CLASS_ID));





/* ---------------------------------------------------------------------- */
/* SYS_CMS_CLASSES                                                      */
/* ---------------------------------------------------------------------- */




/* ---------------------------------------------------------------------- */
/* SERVER                                                      */
/* ---------------------------------------------------------------------- */

BEGIN
ALTER TABLE WEBDAV_SERVER
    ADD CONSTRAINT WEBDAV_SERVER_FK_1 FOREIGN KEY (SERVER_ID)
    REFERENCES SERVER (SERVER_ID)
    ON DELETE CASCADE 
END    
;




/* ---------------------------------------------------------------------- */
/* WEBDAV_SERVER                                                      */
/* ---------------------------------------------------------------------- */

BEGIN
ALTER TABLE GRAFFITO_DB_SERVER
    ADD CONSTRAINT GRAFFITO_DB_SERVER_FK_1 FOREIGN KEY (SERVER_ID)
    REFERENCES SERVER (SERVER_ID)
    ON DELETE CASCADE 
END    
;




/* ---------------------------------------------------------------------- */
/* GRAFFITO_DB_SERVER                                                      */
/* ---------------------------------------------------------------------- */

BEGIN
ALTER TABLE GRAFFITO_FS_SERVER
    ADD CONSTRAINT GRAFFITO_FS_SERVER_FK_1 FOREIGN KEY (SERVER_ID)
    REFERENCES SERVER (SERVER_ID)
    ON DELETE CASCADE 
END    
;




/* ---------------------------------------------------------------------- */
/* GRAFFITO_FS_SERVER                                                      */
/* ---------------------------------------------------------------------- */




/* ---------------------------------------------------------------------- */
/* CONTENT                                                      */
/* ---------------------------------------------------------------------- */

BEGIN
ALTER TABLE CMS_OBJECT
    ADD CONSTRAINT CMS_OBJECT_FK_1 FOREIGN KEY (PARENT_ID)
    REFERENCES CMS_OBJECT (OBJECT_ID)
    ON DELETE CASCADE 
END    
;

BEGIN
ALTER TABLE CMS_OBJECT
    ADD CONSTRAINT CMS_OBJECT_FK_2 FOREIGN KEY (CONTENT_ID)
    REFERENCES CONTENT (CONTENT_ID)
    ON DELETE CASCADE 
END    
;




/* ---------------------------------------------------------------------- */
/* CMS_OBJECT                                                      */
/* ---------------------------------------------------------------------- */

BEGIN
ALTER TABLE VERSION_HISTORY
    ADD CONSTRAINT VERSION_HISTORY_FK_1 FOREIGN KEY (OBJECT_ID)
    REFERENCES CMS_OBJECT (OBJECT_ID)
    ON DELETE CASCADE 
END    
;

BEGIN
ALTER TABLE VERSION_HISTORY
    ADD CONSTRAINT VERSION_HISTORY_FK_2 FOREIGN KEY (PREVIOUS_ID)
    REFERENCES VERSION_HISTORY (HISTORY_ID)
    ON DELETE CASCADE 
END    
;




/* ---------------------------------------------------------------------- */
/* VERSION_HISTORY                                                      */
/* ---------------------------------------------------------------------- */



