
-----------------------------------------------------------------------------
-- PREFS_PROPERTY_VALUE
-----------------------------------------------------------------------------
DROP TABLE PREFS_PROPERTY_VALUE CASCADE;



CREATE TABLE PREFS_PROPERTY_VALUE
(
                                    PROPERTY_VALUE_ID integer NOT NULL,
                                    NODE_ID integer,
                                    PROPERTY_KEY_ID integer,
                                    BOOLEAN_VALUE boolean,
                                    DATETIME_VALUE timestamp,
                                    LONG_VALUE integer,
                                    DOUBLE_VALUE double precision,
                                    TEXT_VALUE varchar (254),
                                    CREATION_DATE timestamp,
                                    MODIFIED_DATE timestamp,
    PRIMARY KEY (PROPERTY_VALUE_ID)
);


-----------------------------------------------------------------------------
-- PREFS_NODE_PROPERTY_KEY
-----------------------------------------------------------------------------
DROP TABLE PREFS_NODE_PROPERTY_KEY CASCADE;



CREATE TABLE PREFS_NODE_PROPERTY_KEY
(
                                    NODE_ID integer NOT NULL,
                                    PROPERTY_KEY_ID integer NOT NULL,
    PRIMARY KEY (NODE_ID,PROPERTY_KEY_ID)
);


-----------------------------------------------------------------------------
-- PREFS_PROPERTY_KEY
-----------------------------------------------------------------------------
DROP TABLE PREFS_PROPERTY_KEY CASCADE;



CREATE TABLE PREFS_PROPERTY_KEY
(
                                    PROPERTY_KEY_ID integer NOT NULL,
                                    PROPERTY_NAME varchar (100),
                                    PROPERTY_TYPE int2,
                                    CREATION_DATE timestamp,
                                    MODIFIED_DATE timestamp,
    PRIMARY KEY (PROPERTY_KEY_ID)
);


-----------------------------------------------------------------------------
-- PREFS_NODE
-----------------------------------------------------------------------------
DROP TABLE PREFS_NODE CASCADE;



CREATE TABLE PREFS_NODE
(
                                    NODE_ID integer NOT NULL,
                                      -- REFERENCES PREFS_NODE (NODE_ID)
    PARENT_NODE_ID integer,
                                    NODE_NAME varchar (100),
                                    NODE_TYPE int2,
                                    FULL_PATH varchar (254),
                                    CREATION_DATE timestamp,
                                    MODIFIED_DATE timestamp,
    PRIMARY KEY (NODE_ID)
);


----------------------------------------------------------------------
-- PREFS_NODE                                                      
----------------------------------------------------------------------


----------------------------------------------------------------------
-- PREFS_PROPERTY_VALUE                                                      
----------------------------------------------------------------------


----------------------------------------------------------------------
-- PREFS_NODE_PROPERTY_KEY                                                      
----------------------------------------------------------------------


----------------------------------------------------------------------
-- PREFS_PROPERTY_KEY                                                      
----------------------------------------------------------------------

ALTER TABLE PREFS_NODE
    ADD CONSTRAINT PREFS_NODE_FK_1 FOREIGN KEY (PARENT_NODE_ID)
    REFERENCES PREFS_NODE (NODE_ID)
;
